@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap');
*{
 margin:0;
 padding:0;
 box-sizing:border-box;
 font-family: 'Poppins',sans-serif;
}
body{
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    /* background: #4A98F7; */
    background: linear-gradient(to right, #eacda3, #d6ae7b);
}
.container{
    display: flex;
    width: 100%;
    max-width: 1050px;
    gap: 10px;
    padding: 10px;
}
section{
    background: #fff;
    border-radius: 7px;
}
.tools-board{
    width: 210px;
    padding: 15px 22px 0;
}
.tools-board .row{
    margin-bottom: 20px;
}
.row .options{
    list-style: none;
    margin: 10px 0 0 5px;
}
.row .options .option{
    display: flex;
    cursor: pointer;
    align-items: center;
    margin-bottom: 10px;
}
.option:is(:hover,.active) img{
    filter: invert(17%)sepia(90%)saturate(1000%)hue-rotate(900deg)brightness(100%)contrast(100%);
}
.option :where(span, label){
    color: #5a6168;
    cursor: pointer;
    padding-left: 10px;
}
.option:is(:hover,.active) :where(span, label){
    /* filter: invert(17%)sepia(90%)saturate(1000%)hue-rotate(900deg)brightness(100%)contrast(100%); */
    color: #4A98F7;
}
.option #fill-color{
    height: 14px;
    width: 14px;
    cursor: pointer;
}
#fill-color:checked ~ label{
    color: #4A98F7;
}
.option #size-slider{
    width: 100%;
    height: 5px;
    margin-top: 10px ;
}
.colors .options{
    display: flex;
    justify-content: space-between;
}
.colors .option{
    height: 20px;
    width: 20px;
    border-radius: 50%;
    margin-top: 3px;
    position: relative;
}
.colors .option:nth-child(1){
    background-color: #fff;
    border: 1px solid #bfbfbf;
}
.colors .option:nth-child(2){
    background-color: #000;
}
.colors .option:nth-child(3){
    background-color: #e02020;
}
.colors .option:nth-child(4){
    background-color: #6dd400;
}
.colors .option:nth-child(5){
    background-color: #4A98F7;
}
.colors .option:selected::before{
    position: absolute;
    content: "";
    top: 50%;
    left: 50%;
    height: 12px;
    width: 12px;
    background: inherit;
    border-radius: inherit;
    border: 2px solid #fff;
    transform: translate(-50%,-50%);
}
.colors .option:first-child:selected::before{
    border-color: #ccc;
}
.option #color-picker{
    opacity: 0;
    cursor: pointer;
}
.buttons button{
    width: 100%;
    color: #fff;
    border: none;
    outline: none;
    padding: 11px 0;
    font-size: 0.9rem;
    margin-bottom: 13px;
    background: none; 
    border-radius: 5px;
    cursor: pointer;
}
.buttons .clear-canvas{
    color: #6c757D;
    border: 1px solid #6c757D;
    transition: all 0.3s ease;
}
.clear-canvas:hover{
    background: #4A98F7;
    color: #fff;
}
.buttons .save-img{
    background: #4A98F7;
    border: 1px solid #4A98F7;
}
.drawing-board{
    flex: 1;
}
.drawing-board canvas{
    height: 100%;
    width: 100%;
}

/***** media query Section *****/
@media (max-width:1300px) {
    .container{
        display: flex;
        width: 100%;
        max-width: 1050px;
        gap: 10px;
        padding: 20px;
    }
    section{
        background: #fff;
        border-radius: 7px;
    }
    .tools-board{
        width: 110px;
        padding: 5px 10px 0;
    }
    .tools-board .row{
        margin-bottom: 20px;
    }   
    .option :where(span, label) {
        padding-left: 1px;
    }    
    .colors .option {
        height: 12px;
        width: 12px;
        border-radius: 50%;
        margin-top: 3px;
        position: relative;
    }
}